APF-Tracker

Adventure PHP Framework Issue Management


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000317Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2017-07-23 16:172017-08-14 14:43
Reporterthalo1 
Assigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.3 
Target Version3.4Fixed in Version3.4 
Summary0000317: Frontcontroller should throw an exception if context is not set
DescriptionOtherwise it is not possible to create a SINGLETON/SESSIONSINGLETON within different namespaces.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacenone
Attached Files

- Relationships

-  Notes
(0000775)
ChristianAchatz (administrator)
2017-08-06 22:32

Since the original issue has been detected in ServiceManager (creating same instance for different applications w/ separate context), the ServiceManager and DIServiceManager should also throw an exception in case empty/null context is applied.
(0000776)
ChristianAchatz (administrator)
2017-08-14 12:40

Changed implementation of

- ServiceManager
- DIServiceManager
- FrontController

to avoid context clashes with empty context applied to the Frontcontroller.

- Issue History
Date Modified Username Field Change
2017-07-23 16:17 thalo1 New Issue
2017-07-24 22:24 ChristianAchatz Assigned To => ChristianAchatz
2017-07-24 22:24 ChristianAchatz Status new => assigned
2017-08-06 22:32 ChristianAchatz Note Added: 0000775
2017-08-14 12:40 ChristianAchatz Note Added: 0000776
2017-08-14 12:43 ChristianAchatz Status assigned => resolved
2017-08-14 12:43 ChristianAchatz Fixed in Version => 3.4
2017-08-14 12:43 ChristianAchatz Resolution open => fixed
2017-08-14 14:43 ChristianAchatz Product Version => 3.3
2017-08-14 14:43 ChristianAchatz Target Version => 3.4


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker